Core - Task # 53886

Epic # 47018 (Resolved): Implement Composer support and clean package manager API

Status: Resolved Priority: Should have
Author: Thomas Maroschik Category:

Created: 2013-11-22 Assigned To: Thomas Maroschik
Updated: 2014-02-12 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subiject: Optimize Package State Migration

Description

Under certain circumstances the Failsafe Package Manager could interfer with the Update Package Manager in the Install Tool. In
order to reduce this friction the migration logic has to be consolidated into the migration step.

Associated revisions

Revision 4a20881b - 2013-12-18 22:29 - Thomas Maroschik

[TASK] Optimize Package State Migration

Under certain circumstances the Failsafe Package Manager
could interfer with the Update Package Manager in the Install Tool.

In order to reduce this friction the migration logic is integrated
into the migration step.

Resolves: #53886

Releases: 6.2

Change-Id: 10300b9c74736262b03f9f9b59a49576b7edf5b2f
Reviewed-on: https://review.typo3.org/25648

Reviewed-by: Markus Klein
Reviewed-by: Thomas Maroschik
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

History

#1 - 2013-11-22 17:49 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/25648

#2 - 2013-11-22 17:52 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/25648
#3 - 2013-12-18 19:46 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/25648

#4 - 2013-12-18 19:50 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/25648

#5 - 2013-12-18 22:31 - Thomas Maroschik
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:4a20881b8c338367fb142c31631b2bc613d5fe5e.

#6 - 2014-02-12 10:04 - Ernesto Baschny
- Parent task set to #47018
